Update Privacy Policy with additional ping information

VERIFIED FIXED in 1.2

Status

--
major
VERIFIED FIXED
8 years ago
6 years ago

People

(Reporter: fligtar, Assigned: jlong)

Tracking

unspecified
All
Other

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

8 years ago
In bug 623950 we'll be adding the most recent amount of time it took Firefox to start-up to the list of add-ons the user has installed. This will allow us to identify problem add-ons that are substantially slowing down Firefox start-up time and deal with them.

This is a very minor change to the Add-on Information and Searches paragraph under Interactive Product Features:

The line that currently says:
"This communication includes the list of add-ons you have installed, Firefox version information, and your IP address."

should be changed to:
"This communication includes the list of add-ons you have installed, Firefox version information, how long it took Firefox to start-up, and your IP address."

--- First Response:


--- First Response Timeframe:
One week

--- Business Objective:


--- Other Party:
(Reporter)

Updated

8 years ago
Blocks: 623950

Updated

8 years ago
Assignee: nobody → jmartin
Status: NEW → ASSIGNED
Whiteboard: Legal is reviewing now.

Comment 1

8 years ago
Legal approves this change to the language.  I do NOT believe we need to block the related bug until the change to the privacy policy happens.  We can do these in parallel given that this is not technically personal info.  

Who will take the lead on working with webdev to implement the change?
(Reporter)

Comment 2

8 years ago
I'll file the mozilla.com bug for the copy change. Thanks!

Comment 3

8 years ago
Legal approves this change to the language.  I do NOT believe we need to block the related bug until the change to the privacy policy happens.  We can do these in parallel given that this is not technically personal info.  

Who will take the lead on working with webdev to implement the change?

Comment 4

8 years ago
Thanks, Justin.  Closing the bug.
Status: ASSIGNED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
(Reporter)

Comment 5

8 years ago
Actually, it'll probably be easiest to re-use this bug with all the cc's and legal approval already in it.

Webdev folks, this is a tiny copy change to the privacy policy described in comment #0.
Assignee: jmartin → nobody
Group: legal
Status: RESOLVED → REOPENED
Component: Privacy or EULA → www.mozilla.com
Product: Legal → Websites
QA Contact: handerson → www-mozilla-com
Resolution: FIXED → ---
Whiteboard: Legal is reviewing now.
(Reporter)

Comment 6

8 years ago
Note: this patch landed yesterday and the updated pings are now rolling in, so this needs to happen before Firefox 4.
Status: REOPENED → NEW
(Assignee)

Updated

8 years ago
Assignee: nobody → jlong
Target Milestone: --- → 1.1
(Assignee)

Comment 7

8 years ago
What is the URL for this page?
Target Milestone: 1.1 → 1.2

Comment 9

8 years ago
Note that right now we have the same Privacy Policy hosted in two different places -- mozilla.com and mozilla.org at

http://www.mozilla.org/about/policies/privacy-policy.html

This sort of duplication should be resolved when mozilla.com and mozilla.org merge, but for now please also CC me on bugs about updating the .com Privacy Policy so I can add that patch to .org as well.
David - This change is in the Firefox privacy policy, not the websites privacy policy.

Comment 11

8 years ago
So it is.  Apologies for the confusion on my part.
(Assignee)

Comment 12

8 years ago
pushed to trunk
r81548 | jlong@mozilla.com | 2011-01-25 11:53:36 -0500 (Tue, 25 Jan 2011) | 2 lines
(Assignee)

Comment 13

8 years ago
pushed to staging
r81549 | jlong@mozilla.com | 2011-01-25 11:57:30 -0500 (Tue, 25 Jan 2011) | 1 line

https://www.authstage.mozilla.com/en-US/legal/privacy/firefox.html
(Assignee)

Updated

8 years ago
Status: NEW → RESOLVED
Last Resolved: 8 years ago8 years ago
Resolution: --- → FIXED
(Assignee)

Updated

8 years ago
Keywords: qawanted
qa-verified-stage https://www.authstage.mozilla.com/en-US/legal/privacy/firefox.html
Keywords: qawanted
(Assignee)

Comment 15

8 years ago
pushed to production
r82300 | jlong@mozilla.com | 2011-02-08 16:57:30 -0500 (Tue, 08 Feb 2011) | 18 lines
Component: www.mozilla.org/firefox → www.mozilla.org
Product: Websites → Websites
Component: www.mozilla.org → General
Product: Websites → www.mozilla.org
You need to log in before you can comment on or make changes to this bug.